package com.marvinelsen.willow.ui.converters

import com.marvinelsen.willow.config.Pronunciation
import javafx.util.StringConverter

class PronunciationStringConverter : StringConverter<Pronunciation>() {
    override fun toString(pronunciation: Pronunciation) = when (pronunciation) {
        Pronunciation.PINYIN_WITH_TONE_MARKS -> "Pinyin with tone marks"
        Pronunciation.PINYIN_WITH_TONE_NUMBERS -> "Pinyin with tone numbers"
        Pronunciation.ZHUYIN -> "Zhuyin"
    }

    override fun fromString(string: String) = null
}
